import React from 'react'
// 引入编辑器以及EditorState子模块
import BraftEditor from 'braft-editor'
// 引入编辑器样式
import 'braft-editor/dist/index.css'

export default class RichEditor extends React.Component {
    render () {
        const defaultProps = {
            controls: [
                'headings', 'text-color', 'bold', 'italic', 'underline', 'strike-through', 'separator',
                'superscript', 'subscript', 'remove-styles', 'emoji', 'text-align', 'separator',
                'list-ul', 'list-ol', 'blockquote', 'code', 'separator',
                'link', 'separator', 'hr', 'separator',
                'media', 'separator',  'undo', 'redo',
            ]
        }

        const props = {
            ...defaultProps,
            ...this.props,
        }
        return (
          <BraftEditor {...props} />
        )
    }
}